Liblinphone: linphone::ParticipantDevice Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ParticipantDevice Class Reference

This object represents a unique device for a member of a Conference or ChatRoom. More...

`#include <participant_device.hh>`

Inheritance diagram for linphone::ParticipantDevice:

## Public Member Functions
| ParticipantDevice (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipantDevice * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Get the address of a participant's device. More...
LINPHONECXX_PUBLIC linphone::MediaDirection | getAudioDirection () const
| Get the audio direction of the device. More...
LINPHONECXX_PUBLIC bool | isInConference () const
| Return whether the participant device is in a conference or not. More...
LINPHONECXX_PUBLIC std::string | getName () const
| Return the name of the device or nullptr. More...
LINPHONECXX_PUBLIC linphone::ChatRoomSecurityLevel | getSecurityLevel () const
| Get the security level of a participant's device. More...
LINPHONECXX_PUBLIC linphone::MediaDirection | getTextDirection () const
| Get the text direction of the device. More...
LINPHONECXX_PUBLIC time_t | getTimeOfJoining () const
| Get the timestamp the device joined a conference. More...
LINPHONECXX_PUBLIC linphone::MediaDirection | getVideoDirection () const
| Get the video direction of the device. More...

## Detailed Description

This object represents a unique device for a member of a Conference or ChatRoom.

Devices are identified by the gruu parameter inside the Address which can be obtained by getAddress(). It is specially usefull to know the security level of each device inside an end-to-end encrypted ChatRoom. You can get a list of all ParticipantDevice using Participant::getDevices().

## Member Function Documentation

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::ParticipantDevice::getAddress | ( |  | ) | const

Get the address of a participant's device.

Returns
  The Address of the participant's device

## ◆ getAudioDirection()

LINPHONECXX_PUBLIC linphone::MediaDirection linphone::ParticipantDevice::getAudioDirection | ( |  | ) | const

Get the audio direction of the device.

Returns
  the audio direction of the device

## ◆ getName()

LINPHONECXX_PUBLIC std::string linphone::ParticipantDevice::getName | ( |  | ) | const

Return the name of the device or nullptr.

Returns
  the name of the device or nullptr.

## ◆ getSecurityLevel()

LINPHONECXX_PUBLIC linphone::ChatRoomSecurityLevel linphone::ParticipantDevice::getSecurityLevel | ( |  | ) | const

Get the security level of a participant's device.

Returns
  The ChatRoomSecurityLevel of the device

## ◆ getTextDirection()

LINPHONECXX_PUBLIC linphone::MediaDirection linphone::ParticipantDevice::getTextDirection | ( |  | ) | const

Get the text direction of the device.

Returns
  the text direction of the device

## ◆ getTimeOfJoining()

LINPHONECXX_PUBLIC time_t linphone::ParticipantDevice::getTimeOfJoining | ( |  | ) | const

Get the timestamp the device joined a conference.

Returns
  time of joining a conference as returned by time(nullptr). For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## ◆ getVideoDirection()

LINPHONECXX_PUBLIC linphone::MediaDirection linphone::ParticipantDevice::getVideoDirection | ( |  | ) | const

Get the video direction of the device.

Returns
  the video direction of the device

## ◆ isInConference()

LINPHONECXX_PUBLIC bool linphone::ParticipantDevice::isInConference | ( |  | ) | const

Return whether the participant device is in a conference or not.

Returns
  a boolean to state whether the device is in a conference

The documentation for this class was generated from the following file:

- participant_device.hh